%global pypi_name traitlets

Name:           python-traitlets
Version:        5.0.5
Release:        %mkrel 1
Group:          Development/Python
Summary:        Traitlets Python config system

License:        BSD
URL:            http://ipython.org
Source0:        https://pypi.io/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(ipython-genutils)

%description
A configuration system for Python applications.


%package -n     python3-%{pypi_name}
Summary:        Traitlets Python config system
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A configuration system for Python applications.


%package doc
Summary:        Documentation for %{name}
Group:          Documentation
License:        BSD


%description doc
Documentation files for %{name}.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build
# generate html docs 
PYTHONPATH=. sphinx-build-3 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%install
%py3_install


%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/traitlets/*


%files doc
%doc html


%changelog
* Tue Nov 03 2020 joequant <joequant> 5.0.5-1.mga8
+ Revision: 1641869
- update to 5.0.5

* Sun Feb 16 2020 umeabot <umeabot> 4.3.2-6.mga8
+ Revision: 1531582
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 4.3.2-5.mga8
+ Revision: 1440238
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 tv <tv> 4.3.2-4.mga7
+ Revision: 1350503
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 4.3.2-3.mga7
+ Revision: 1290434
- Mageia 7 Mass Rebuild

* Wed Aug 09 2017 philippem <philippem> 4.3.2-2.mga7
+ Revision: 1139344
- rebuild using setuptools to generate requires, fix doc build

* Wed Aug 09 2017 philippem <philippem> 4.3.2-1.mga7
+ Revision: 1139305
- update to 4.3.2

* Sat Aug 05 2017 pterjan <pterjan> 4.2.1-5.mga7
+ Revision: 1135670
- Rebuild for python 3.6
+ tv <tv>
- rebuild for new python

* Fri Apr 15 2016 philippem <philippem> 4.2.1-3.mga6
+ Revision: 1002836
- update to 4.2.1

* Sat Feb 20 2016 umeabot <umeabot> 4.0.0-3.mga6
+ Revision: 971129
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 4.0.0-2.mga6
+ Revision: 889294
- rebuild for python 3.5
- BR python(3)-sphinx_rtd_theme

* Thu Aug 20 2015 joequant <joequant> 4.0.0-1.mga6
+ Revision: 866936
- imported package python-traitlets

